Bug 316260 - The weird horizontal scrollbar bug
Summary: The weird horizontal scrollbar bug
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: git-latest
Platform: Other Linux
: HI normal
Target Milestone: 0.6.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-06 22:56 UTC by Daniele E. Domenichelli
Modified: 2013-03-07 00:06 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2013-03-06 22:56:39 UTC
When contact list is loaded in accounts grouping mode the horizontal scrollbar appears
Comment 1 Daniele E. Domenichelli 2013-03-06 23:12:00 UTC
Ok, I'll add something:
The header delegate in the paint method always gets the rect of size >= of the available space as soon as the contact list is started. When the contacts are loaded, and the vertical scrollbar appears, instead of getting a smaller space, the delegate always gets the same, therefore it doesn't fit in the available space, and it is drawn outside, causing the horizontal scrollbar to appear and the status icons to be partially hidden.

It might be something related to how the contacts are inserted in the model
Comment 2 Daniele E. Domenichelli 2013-03-07 00:06:33 UTC
Git commit 5f1f87c78aeacf57f804318a2302588861485a84 by Daniele E. Domenichelli.
Committed on 07/03/2013 at 01:02.
Pushed by ddomenichelli into branch 'master'.

Delay setting the model until the account manager is set.

This fixes the weird horizontal scrollbar bug appearing when the
vertical scrollbar appears.

Reviewed-by: Martin Klapetek <martin.klapetek@gmail.com>
Reviewed by: David Edmundson <kde@davidedmunson.co.uk>
FIXED-IN: 0.6.0

M  +5    -1    contact-list-widget.cpp

http://commits.kde.org/telepathy-contact-list/5f1f87c78aeacf57f804318a2302588861485a84